Package org.eclipse.rap.fileupload

## Class FileUploadEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.rap.fileupload.FileUploadEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public abstract class FileUploadEvent
    extends java.util.EventObject

Event object that provides information on a file upload. The source of this kind of events is always a file upload handler.

See Also:
  `FileUploadListener`, Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`protected` `FileUploadEvent​(FileUploadHandler source)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `dispatchFailed()`
`protected void` `dispatchFinished()`
`protected void` `dispatchProgress()`
`abstract long` `getBytesRead()` The number of bytes that have been received so far.
`abstract long` `getContentLength()` The total number of bytes which are expected in total, as transmitted by the uploading client.
`abstract java.lang.Exception` `getException()` If the upload has failed, this method will return the exception that has occurred.
`abstract FileDetails[]` `getFileDetails()` Array with details about successfully uploaded files.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileUploadEvent

    protected FileUploadEvent​(FileUploadHandler source)

### Method Detail

#### getFileDetails

    public abstract FileDetails[] getFileDetails()

Array with details about successfully uploaded files.

Returns:
  an array with details about successfully uploaded files.

#### getContentLength

    public abstract long getContentLength()

The total number of bytes which are expected in total, as transmitted by the uploading client. May be unknown.

Returns:
  the content length in bytes or -1 if unknown

#### getBytesRead

    public abstract long getBytesRead()

The number of bytes that have been received so far.

Returns:
  the number of bytes received

#### getException

    public abstract java.lang.Exception getException()

If the upload has failed, this method will return the exception that has occurred.

Returns:
  the exception if the upload has failed, `null` otherwise

#### dispatchProgress

    protected void dispatchProgress()

#### dispatchFinished

    protected void dispatchFinished()

#### dispatchFailed

    protected void dispatchFailed()